%define upstream_name    Tcl
%define upstream_version 1.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Complete access to Tcl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Tcl-1.04-fmt_error.patch

BuildRequires: tcl-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
The Tcl extension module gives access to the Tcl library with functionality
and interface similar to the C functions of Tcl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .fmt
rm -fr tcl-core

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor \
	--nousestubs \
	--tclsh=%{_libdir}/tclConfig.sh \
	--tclconfig=%{_libdir}/tclConfig.sh
%make

%check
%make test

%install
%makeinstall_std

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-2.mga6
+ Revision: 1033828
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.40.0-1.mga6
+ Revision: 1002305
- New version 1.04

* Fri Feb 12 2016 umeabot <umeabot> 1.20.0-15.mga6
+ Revision: 958065
- Mageia 6 Mass Rebuild

* Mon Oct 05 2015 daviddavid <daviddavid> 1.20.0-14.mga6
+ Revision: 886330
- rebuild for new tcl 8.6.4

* Fri Jun 26 2015 tv <tv> 1.20.0-13.mga6
+ Revision: 845306
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.20.0-12.mga6
+ Revision: 840510
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-11.mga5
+ Revision: 744094
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-10.mga5
+ Revision: 686330
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.20.0-9.mga5
+ Revision: 631739
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.20.0-8.mga4
+ Revision: 524648
- Mageia 4 Mass Rebuild

* Wed May 29 2013 fwang <fwang> 1.20.0-7.mga4
+ Revision: 431349
- do not use stub
- use tcl config
- use tcl config
- fix usage
- build use system tcl

* Wed May 29 2013 fwang <fwang> 1.20.0-5.mga4
+ Revision: 431172
- use tclsh

* Wed May 29 2013 jquelin <jquelin> 1.20.0-4.mga4
+ Revision: 430967
- perl 5.18.0 rebuild

* Sat Mar 30 2013 rtp <rtp> 1.20.0-3.mga3
+ Revision: 406722
- Change buildrequire from tcl to tcl-devel.

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 373117
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 jquelin <jquelin> 1.20.0-1.mga3
+ Revision: 269450
- more fix for format error
- missing buildrequires:
- imported package perl-Tcl


* Mon Jul 09 2012 cpan2dist 1.02-1mga
- initial mageia release, generated with cpan2dist
